"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _sanitizeHtml = _interopRequireDefault(require("sanitize-html"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SUPPORTED_SANITIZER_OPTIONS = ['allowProtocolRelative', 'allowedAttributes', 'allowedClasses', 'allowedSchemes', 'allowedSchemesByTag', 'allowedTags', 'exclusiveFilter', 'nonTextTags', 'parser', 'selfClosing', 'transformTags'];

var SanitizedHTML = function SanitizedHTML(props) {
  var sanitizerOptions = SUPPORTED_SANITIZER_OPTIONS.reduce(function (options, name) {
    var value = props[name];

    if (typeof value !== 'undefined') {
      options[name] = value;
    }

    return options;
  }, {}); // TODO: Add memoization

  var sanitizedHTML = (0, _sanitizeHtml.default)(props.html, sanitizerOptions);
  return _react.default.createElement("div", {
    className: props.className,
    dangerouslySetInnerHTML: {
      __html: sanitizedHTML
    },
    id: props.id,
    style: props.style
  });
};

SanitizedHTML.defaultProps = {
  html: ''
};
SanitizedHTML.propTypes = {
  allowProtocolRelative: _propTypes.default.bool,
  allowedAttributes: _propTypes.default.objectOf(_propTypes.default.arrayOf(_propTypes.default.string)),
  allowedClasses: _propTypes.default.objectOf(_propTypes.default.arrayOf(_propTypes.default.string)),
  allowedSchemes: _propTypes.default.arrayOf(_propTypes.default.string),
  allowedSchemesByTag: _propTypes.default.objectOf(_propTypes.default.arrayOf(_propTypes.default.string)),
  allowedTags: _propTypes.default.arrayOf(_propTypes.default.string),
  exclusiveFilter: _propTypes.default.func,
  html: _propTypes.default.string.isRequired,
  nonTextTags: _propTypes.default.arrayOf(_propTypes.default.string),
  parser: _propTypes.default.any,
  selfClosing: _propTypes.default.arrayOf(_propTypes.default.string),
  transformTags: _propTypes.default.objectOf(_propTypes.default.oneOf([_propTypes.default.func, _propTypes.default.string])),
  className: _propTypes.default.string,
  id: _propTypes.default.string,
  style: _propTypes.default.any
};
var _default = SanitizedHTML;
exports.default = _default;
//# sourceMappingURL=index.js.map